Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.jini.security
Class AccessPermission

    java.lang.Object
      java.security.Permission
          net.jini.security.AccessPermission

All Implemented Interfaces:
  Guard, Serializable

Direct Known Subclasses:
  ActivatorPermission, ContextPermission, FiddlerPermission, InstantiatorPermission, MahaloPermission, MercuryPermission, MonitorPermission, NormPermission, OutriggerPermission, RegistrarPermission, SystemPermission

public class AccessPermission
extends Permission

Represents permission to call a method. An instance of this class contains a name (also referred to as a "target name") but no actions list; you either have the named permission or you don't. The target name can be any of the following forms:

     *
     Identifier
     *Suffix
     Identifier*
     QualifiedIdentifier.*
     QualifiedIdentifier.Identifier
     QualifiedIdentifier.*Suffix
     QualifiedIdentifier.Identifier*

where QualifiedIdentifier and Identifier are as defined in The Java(TM) Language Specification except that whitespace is not permitted, and Suffix is defined to be one or more characters that may be part of an Identifier. These forms are defined to match fully qualified names of the form QualifiedIdentifier.Identifier as follows:

Target Name | QualifiedIdentifier Match | Identifier Match
--- | --- | ---
* | any | any
method | any | method
*suffix | any | any ending with suffix
prefix* | any | any starting with prefix
type.* | type | any
type.method | type | method
type.*suffix | type | any ending with suffix
type.prefix* | type | any starting with prefix

This class, and simple subclasses of it, can be used (for example) with `BasicInvocationDispatcher`. It is recommended that a simple subclass of this class be defined for each remote object implementation class that can be exported using an `Exporter`, to allow separation of grants in policy files.

Since:
  2.0
See Also:
  Serialized Form

Constructor Summary
`AccessPermission(String name)` Creates an instance with the specified target name.

Method Summary
`boolean` | `equals(Object obj)` Returns `true` if the specified object is an instance of the same class as this permission and has the same target name as this permission; returns `false` otherwise.
`String` | `getActions()` Returns the empty string.
`int` | `hashCode()` Returns a hash code value for this object.
`boolean` | `implies(Permission perm)` Returns `true` if every fully qualified name that matches the specified permission's name also matches this permission's name; returns `false` otherwise.

Methods inherited from class java.security.Permission
`checkGuard, getName, newPermissionCollection, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AccessPermission

    public AccessPermission(String name)

  Creates an instance with the specified target name.

Parameters:
  `name` - the target name
Throws:
  `NullPointerException` - if the target name is `null`
  `IllegalArgumentException` - if the target name does not match the syntax specified in the comments at the beginning of this class

Method Detail

### implies

    public boolean implies(Permission perm)

  Returns `true` if every fully qualified name that matches the specified permission's name also matches this permission's name; returns `false` otherwise.

  Parameters:
    `perm` - the permission to check
  Returns:
    `true` if every fully qualified name that matches the specified permission's name also matches this permission's name; `false` otherwise

### equals

    public boolean equals(Object obj)

  Returns `true` if the specified object is an instance of the same class as this permission and has the same target name as this permission; returns `false` otherwise.

### hashCode

    public int hashCode()

  Returns a hash code value for this object.

### getActions

    public String getActions()

  Returns the empty string.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Sun Microsystems, Inc. All rights reserved